@import "~@angular/material/theming";
@include mat-core();

$light-base: #f2f3f5;
$light-sec: #ffffff;

html,
body {
    height: 100%;
    background: $light-base !important;
    background-color: $light-base !important;
    // overflow: hidden;
}

app-root {
    display: block;
}

body {
    margin: 0;
    font-family: "Lexend Deca", Sans-Serif !important;
    * {
        font-family: "Lexend Deca", Sans-Serif !important;
    }
    .material-icons {
        font-family: "Material Icons Round" !important;
    }
}

///CONFIGURACION DEL TEMA DE ANGULAR MATERIAL
$my-app-primary: mat-palette($mat-blue, 500, 500, 500);
$my-app-accent: mat-palette($mat-blue, 800, 800, 800);
$my-app-warn: mat-palette($mat-deep-orange);
$my-app-theme: mat-light-theme($my-app-primary, $my-app-accent, $my-app-warn);
@include angular-material-theme($my-app-theme);
///CONFIGURACION DEL TEMA DE ANGULAR MATERIAL

$primary: #2196f3;
$accent: #1565c0;
.page-footer {
    padding-top: 20px;
    color: #fff;
    background-color: $accent;
}

.mat-bt-primary {
    color: $primary !important;
}

.mat-bt-accent {
    color: $accent !important;
}

.bold {
    font-weight: 600 !important;
    font-size: 16px !important;
}

.indicator-item.active {
    background-color: $primary !important;
}

@media screen and (max-width: 500px) {
    .slider .indicators .indicator-item {
        height: 12px !important;
        width: 12px !important;
        margin: 0 5px !important;
    }
}

.mat-toolbar {
    background: $light-base;
    background-color: $light-base;
}

mat-card {
    background: $light-sec;
    background-color: $light-sec;
}

.mat-card {
    box-shadow: 0px 1px 11px 0px rgba(0, 0, 0, 0.09) !important;
    border-radius: 12px !important;
}

.mat-card.row-card {
    display: flex;
    flex-wrap: wrap;
}

.mat-card-header .mat-card-title {
    font-weight: bold;
    font-size: 18px !important;
}

.mat-card-header-text {
    margin: 0 !important;
}

.mat-card {
    p {
        color: #676767;
    }
    .mat-card-header-text {
        margin: 0;
    }
    .mat-card-header .mat-card-title {
        font-size: 18px;
    }
}

mat-form-field[search] {
    width: 100%;
    .mat-form-field-underline {
        display: none;
    }
    .mat-form-field-flex {
        background-color: #929ba200;
        border-radius: 50px !important;
        padding: 10px 30px 0 30px;
    }
    padding: 0;
    height: 59px;
    border-radius: 50px !important;
}

li {
    .mat-button,
    .mat-icon-button,
    .mat-stroked-button,
    .mat-flat-button {
        overflow: hidden;
        width: 100%;
        text-overflow: ellipsis;
        text-align: left;
    }
}

ul {
    list-style: none;
    margin-left: 0;
    padding-left: 1em;
    text-indent: -1em;
}

.mat-button {
    .mat-icon {
        text-align: right;
    }
}

.mat-card[transparent] {
    background: transparent !important;
    box-shadow: none !important;
}

.img-banner {
    width: 100%;
    border-radius: 15px;
}

.cards-no-shadow {
    background: white;
    mat-card {
        box-shadow: none !important;
        background: transparent !important;
    }
}

.back-accent {
    background: #1565c0;
    background-color: #1565c0;
    * {
        color: white !important;
    }
}

.back-primmary {
    background: #2196f3;
    background-color: #2196f3;
    * {
        color: white !important;
    }
}

.large-btn {
    min-height: 57px;
    font-size: 20px;
    * {
        color: #2196f3 !important;
    }
}

@media screen and (max-width: 500px) {
    // .home {
    //     .back-primmary {
    //         background: #f2f3f5;
    //         background-color: #f2f3f5;
    //         * {
    //             color: #2196f3 !important;
    //         }
    //     }

    //     .large-btn {
    //         min-height: 57px;
    //         font-size: 20px;
    //         background: #2196f3 !important;
    //         * {
    //             color: #ffffff !important;
    //         }
    //     }
    // }
}
